@extends('usuarios.funcionarios.master.layout2')

@section('conteudo')
<nav class="d-none">
    
    {{$refsCaixas=\App\Models\ReferenciaCaixa::where('usuario_id',Auth::user()->id)->get()}}
    @php
        $codigoHistorico=0;
        while(true){
            $codigoHistorico = mt_rand();
            $indLine=\App\Models\LinhaIndexacao::where('codigo',$codigoHistorico)->first();
            if($indLine){
                
            }else{
                break;
            }
            
        }
        echo "$codigoHistorico";
    @endphp
    {{$clientes=\App\Models\Cliente::get()}}
    {{$tecnicoIndexadors=\App\Models\User::join('funcionarios','funcionarios.user_id','=','users.id')->where('funcionarios.sector_id',4)->select('users.*')->get()}}

</nav> 
<script src="{{asset('js/jquery.dataTables.min.js') }}"></script>
    <h2>Minhas referências de caixas</h2>
    <hr>
    <br>

    <div class="container">
        <div class="list-group">
            <nav class="col-12 table-responsive">
                <table class="table container  table-striped table-hover" id="usuarios_funcionarios">
                    <thead>

                        <tr class="">

                         <th>Código</th>
                          <th>Caixa</th>
                          <th>Estado</th>
                          <th>Cliente</th> 
                          <th>OE</th> 
                          <th>Dep</th> 
                          <th>Local</th> 
                          <th>Data</th> 
                          <th>Inicio</th> 
                          <th>Fim</th> 
                          <th>Tipo</th> 
                          <th>Mais</th>

                      </tr>

                   	</thead>
                   	<tbody>
                   		@foreach($refsCaixas as $refCaixa)
                        <tr class="">
						  <th>{{$refCaixa->codigo}}</th>
						  <th>{{$refCaixa->numerodacaixa}}</th>
						  @if($refCaixa->estado=='Processo')
                         	  <th><label class="text-info"><i class="fa fa-spin fa-cog"></i>{{$refCaixa->estado}}</label></th>
                          @elseif($refCaixa->estado=='Concluido')
                         	  <th><label class="text-success"><i class="fa fa-check"></i>{{$refCaixa->estado}}</label></th>
                          @else
                         	  <th><label class="text-warning"><i class="fa fa-flag"></i>{{$refCaixa->estado}}</label></th>
                          @endif
						  <th>{{$refCaixa->getCliente->getUser->name}}</th>
						  <th>{{$refCaixa->getDepartamento->getOrgao->orgao}}</th>
						  <th>{{$refCaixa->getDepartamento->departamento}}</th>
						  <th>{{$refCaixa->getDepartamento->localizacao}}</th>
						  <th>{{$refCaixa->data}}</th>
						  <th>{{$refCaixa->periodoinicial}}</th>
						  <th>{{$refCaixa->periodofinal}}</th>
						  <th>{{$refCaixa->tipoindexacao}}</th>
						  <!--<th>{{$refCaixa->getUser->getPessoa->nome}}</th>-->
                          @if($refCaixa->estado=='Processo')
                            <th>
                                <div class="btn-group" role="group" aria-label="Basic example">
                                    <a href=" {{ route('us.servext.indexacao.abrir',$refCaixa->id)}}" class="btn btn-sm btn-success"><i class="fa fa-eye"></i></a>
                                    <a href=" {{ route('us.servext.indexacao.indexar',$refCaixa->id)}}" class="btn  btn-sm btn-primary"><i class="fa fa-edit"></i></a>
                                </div>    
                            </th>
                          @elseif($refCaixa->estado=='Concluido')
                            <th><a href=" {{ route('us.servext.indexacao.abrir',$refCaixa->id)}}" class="btn btn-sm btn-success"><i class="fa fa-eye"></i></a></th>
                          @else
                            <th>
                                <div class="btn-group" role="group" aria-label="Basic example">
                                  
                                    <a href=" {{ route('us.servext.indexacao.abrir',$refCaixa->id)}}" class="btn btn-sm btn-success"><i class="fa fa-eye"></i></a>
                                    <a  class="btn  btn-sm btn-warning btnStartIndex">
                                        <i class="fa fa-flag"></i> 
                                        <input type="hidden" value="{{$refCaixa->codigo}}">    
                                    </a>
                                      
                                </div>    
                            </th>
                          @endif
                      	</tr>
                   		@endforeach
                   	</tbody>
                    <tfoot></tfoot>
                </table>
            </nav>
        </div>
    </div> 
    
    <div class="">
 
</div>
 
 <!-- Button trigger modal -->
<button type="button" class="btn btn-primary btn-sm" data-bs-toggle="modal" data-bs-target="#staticBackdrop">
  <i class="fa fa-edit"></i> Indexação a Doc
</button>

<!-- Modal -->
<div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered modal-lg modal-dialog-scrollable">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="staticBackdropLabel">Indexação individual</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body text-center">
        <i class="fa fa-edit fa-2x"></i>
                <h1 class="text-center">INDEXAÇÃO A DOC</h1>
                <h4 class="text-center"> + Referências de caixas</h4> 
                <br>
                <br><br>
                <form id="formCadPlanoTarefa" class="row text-start">
                    
                   
                    <nav class="col-4  mb-3">
                        <label for="exampleDataList" class="form-label">Cliente</label>
                        <select  class="form-control" id="Cliente">
                          <option value="0" style="display:none">Escolha o cliente</option>
                            @foreach($clientes as $cliente)
                            <option value="{{$cliente->id}}">{{$cliente->getUser->getPessoa->nome}} ({{$cliente->getUser->name}})</option>
                            
                            @endforeach
                         
                        </select>
                    </nav>
                    
                    <nav class="col-4 mb-3 d-none">
                        <label for="exampleDataList" class="form-label">Número de caixas</label>
                        <input class="form-control" id="numCaixas" type="hidden" required min="1">
                        
                    </nav>
                     <nav class="col-4 mb-3">
                        <label for="exampleDataList" class="form-label">Número da caixa</label>
                        <input class="form-control" id="numInicial" type="number" readonly required min="0">
                        
                    </nav>
                    <nav class="col-4 mb-3 d-none">
                        <label for="exampleDataList" class="form-label">Número de caixa final</label>
                        <input class="form-control" id="numFinal" type="hidden" readonly required min="0" >
                        
                    </nav>
                    <nav class="col-4 ">
                       
                        
                         <label for="exampleDataList" class="form-label">Série documental</label>
                        <select  class="form-control" id="serieDoc" required>
                           
                         
                        </select>
                    </nav>
                    <nav class="col-4">
                        <label for="exampleDataList" class="form-label">Orgão de estrutura</label>
                        <select  class="form-control" id="OE" required>
                           
                        </select>
                    </nav>
                    <nav class="col-4">
                        <label for="exampleDataList" class="form-label">Departamento</label>
                         <select  class="form-control" id="dep" required>
                           
                         
                        </select>
                    </nav>
                    
                    <nav class="col-12 mt-3">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" id="flexCheckDefault">
                            <label for="flexCheckDefault" id="lblFlexibilizar" class="form-label"  data-bs-toggle="tooltip" data-bs-placement="top" title=" Flexibilizar verificação do intervalo numérico da serie documental e o intervalo ilustrado">Flexibilizar verificação</label>
                         
                        </div>
                    </nav>
                    <nav class="text-end">
                         <br><br>
                        <button class="btn btn-success btn-sm"><i class="fa fa-plus"></i> Cadastrar</button>
                    </nav>
                </form>
      </div>
       
    </div>
  </div>
</div>
    <script>
      $(function(){

            
            $(".btnStartIndex").click(function(){
                var code=$(this).find('input').val();
                $.post( "{{ route('us.servext.indexacao.inicializar.indexacao') }}",
                { 
                    '_token':  '{{ csrf_token()  }}',
                    'codigo':code 
                },
                function(data){
    
    
                    if(data==1){
                        const Toast = Swal.mixin({
                            toast: true,
                            position: 'top-end',
                            showConfirmButton: false,
                            timer: 3000,
                            timerProgressBar: true,
                            didOpen: (toast) => {
                                toast.addEventListener('mouseenter', Swal.stopTimer)
                                toast.addEventListener('mouseleave', Swal.resumeTimer)
                            }
                        })
    
                        Toast.fire({
                            icon: 'success',
                            title: 'Indexação inicializada com sucesso'
                        })
                        location.reload(true);
                    }
                
                }).fail(function(){
                    alert("Infelizmente falhou o acesso à esta função");
                });
            });
            
            
            $("#formCadPlanoTarefa").submit(function(e){
                e.preventDefault();
                let Codigo= '{{$codigoHistorico}}';
                let Cliente= $("#Cliente").val();
                let Tecnico= $("#Tecnico").val();
                let date= new Date()
                const ano = date.getFullYear();
                const mes = date.getMonth() + 1; 
                const dia = date.getDate();
                const DataOficial=ano+"-"+mes+"-"+dia
                let numInicial= $("#numInicial").val();
                let numFinal= $("#numFinal").val();
                let serieDoc= $("#serieDoc").val();
                let OE= $("#OE").val();
                let dep= $("#dep").val();
                let Flexibilizar= $("#flexCheckDefault").is(':checked');
                $.post( "{{ route('us.servext.planoaccao.add.plano') }}",
                { 
                    '_token':  '{{ csrf_token()  }}',
                    'numerodacaixa':numInicial,
                    'numerodecaixafinal':numFinal,
                    'data':DataOficial,
                    'flexibilizacao':Flexibilizar,
                    'tipoindexacao':'ADOC',
                    'codigo':Codigo,
                    'departamento_id':dep,
                    'funcionario_id':'{{Auth::id()}}',
                    'seriedocumental_id':serieDoc,
                    'cliente_id':Cliente,
                    'autor':'GESTDOC',
                    
                },
                function(data){
         
                    if(data==1){
                        
                        const Toast = Swal.mixin({
                            toast: true,
                            position: 'top-end',
                            showConfirmButton: false,
                            timer: 3000,
                            timerProgressBar: true,
                            didOpen: (toast) => {
                                toast.addEventListener('mouseenter', Swal.stopTimer)
                                toast.addEventListener('mouseleave', Swal.resumeTimer)
                            }
                        })
    
                        Toast.fire({
                            icon: 'success',
                            title: 'Indexação ADOC criada com sucesso'
                        })
                        
                        location.reload(true);
                        
                    }
    
                     
                
                }).fail(function(){
                    alert("Infelizmente falhou o acesso à esta função");
                });
            });
            
            
            $("#OE").change(function(){
                $.post( "{{ route('us.servext.indexacao.return.deps') }}",
                { 
                    '_token':  '{{ csrf_token()  }}',
                    'orgao_id':$(this).val() 
                },
                function(data){
        
                    $("#dep").empty();
                    $("#dep").append(data);
                    
                    
    
                     
                
                }).fail(function(){
                    alert("Infelizmente falhou o acesso à esta função");
                });
            }); 
            $("#numCaixas").on('keypress change keyup keydown',function() {
                let quantidade=$(this).val();
                if (quantidade>0){
                    
                }else{
                    quantidade=0;
                }
                $.post( "{{ route('us.servext.indexacao.return.cxs.dispo') }}",
                { 
                    '_token':  '{{ csrf_token()  }}',
                    'cliente_id':$("#Cliente").val() 
                },
                function(data){
                    
                    let inicial=parseInt(data);
                    let final=parseInt(inicial)+parseInt(quantidade)-1
                     
                    $("#numInicial").val(inicial);
                    $("#numFinal").val(final);
                    
    
                     
                
                }).fail(function(){
                    alert("Infelizmente falhou o acesso à esta função");
                });
            });
            $("#Cliente").change(function(){ 
                $("#dep").empty();
                
                $("#numInicial").val("");
                $("#numFinal").val("");
                $("#numCaixas").val("");
                
                $.post( "{{ route('us.servext.indexacao.return.cxs.dispo') }}",
                { 
                    '_token':  '{{ csrf_token()  }}',
                    'cliente_id':$(this).val() 
                },
                function(data){
                    
                     
                    $("#numInicial").val(data);
                    $("#numFinal").val(data);
                    
    
                     
                
                }).fail(function(){
                    alert("Infelizmente falhou o acesso à esta função");
                });
                $.post( "{{ route('us.servext.planoaccao.get.serie.doc.clie') }}",
                { 
                    '_token':  '{{ csrf_token()  }}',
                    'cliente_id':$(this).val() 
                },
                function(data){
                    
                    $("#serieDoc").empty();
                    $("#serieDoc").append(data);
                    
                    
                     
                
                }).fail(function(){
                    alert("Infelizmente falhou o acesso à esta função");
                });
                
                
                $.post( "{{ route('us.servext.planoaccao.get.oes.clie') }}",
                { 
                    '_token':  '{{ csrf_token()  }}',
                    'cliente_id':$(this).val() 
                },
                function(data){
        
                    $("#OE").empty();
                    $("#OE").append('<option value="0" style="display:none">Escolha o orgão de estrutura</option>');
                    $("#OE").append(data);
                    
                    
    
                     
                
                }).fail(function(){
                    alert("Infelizmente falhou o acesso à esta função");
                });
            });
             
      });
    </script>

@endsection
